#!/bin/sh
# Return all events of the given class, removes all strings... 
#

if test $# != 2 ; then
	echo "Wrong number of parameters"
	exit 1
fi

EV_STR="s/$1//"
DESC_STR="s/[\'\"].*[\'\"]//"

grep -E "$1 " $2 | sed -e "s/$1//" | sed -e "s/[\'\"].*[\'\"]//" | sort | \
	awk '
	NR == 1 {
		rel_time	= 0
		last_time	= $1
	}
		{
		curr_time	= $1
		val		= $2
		rel_time	+= (curr_time - last_time)
		
		printf ("%f %f\n", rel_time, val)
		
		last_time = curr_time
	}'

